NuTools - Support #25080

nutools v2_27 09 with genie v3_00_04_ub3
10/15/2020 11:58 AM - Steven Gardiner

Status: Closed Start date: 10/15/2020
Priority: Normal Due date:

Assignee: Steven Gardiner % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

MicroBooNE requests a new version of nutools (v2_27_09) built against a new version of genie, v3_00_04_ub3. This patched
version of genie should be created using the tag v3_00_04_ub3 in the MicroBooNE forks of the GENIE Generator and Reweight
repositories:

https://github.com/uboone/Generator
https://github.com/uboone/Reweight

The dk2nugenie product should be built against the new genie version with changes only to the product dependencies. The nutools
product should be built using the head of the v3_00_04_ub_br branch (already tagged for v2_27_09), which includes a few product
dependency updates (genie, geant4reweight, ppfx, etc.) and a minor bug fix.

History

#1 - 10/15/2020 03:23 PM - Lynn Garren
- Assignee changed from Steven Gardiner to Lynn Garren

- Status changed from New to Assigned

#2 - 10/16/2020 05:33 PM - Lynn Garren

- Assignee changed from Lynn Garren to Steven Gardiner

#3 - 10/21/2020 01:37 PM - Steven Gardiner
- % Done changed from 30 to 100

- Status changed from Assigned to Closed

nutools v2_27_09 has been built and uploaded to SciSoft. I've notified MicroBooNE that it is now available for use in patch releases of larsoft and
uboonecode.
